"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _button = _interopRequireDefault(require("antd/lib/button"));

var _row = _interopRequireDefault(require("antd/lib/row"));

var _col = _interopRequireDefault(require("antd/lib/col"));

var _message2 = _interopRequireDefault(require("antd/lib/message"));

var _input = _interopRequireDefault(require("antd/lib/input"));

var _react = _interopRequireWildcard(require("react"));

var _icons = require("@ant-design/icons");

var _compatible = require("@ant-design/compatible");

require("@ant-design/compatible/assets/index.css");

require("./LwjAddIdCardInfo.less");

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }

function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

function _iterableToArrayLimit(arr, i) { var _i = arr == null ? null : typeof Symbol !== "undefined" && arr[Symbol.iterator] || arr["@@iterator"]; if (_i == null) return; var _arr = []; var _n = true; var _d = false; var _s, _e; try { for (_i = _i.call(arr); !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"] != null) _i["return"](); } finally { if (_d) throw _e; } } return _arr; }

function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }

var InputGroup = _input["default"].Group;

var LwjAddIdCardInfo = function LwjAddIdCardInfo(_ref) {
  var _ref$maxNum = _ref.maxNum,
      maxNum = _ref$maxNum === void 0 ? 9999999999 : _ref$maxNum,
      value = _ref.value,
      onChange = _ref.onChange,
      _ref$renamekey = _ref.renamekey,
      renamekey = _ref$renamekey === void 0 ? 'designName' : _ref$renamekey,
      _ref$renamevalue = _ref.renamevalue,
      renamevalue = _ref$renamevalue === void 0 ? 'designAddress' : _ref$renamevalue;

  var _useState = (0, _react.useState)([]),
      _useState2 = _slicedToArray(_useState, 2),
      itemData = _useState2[0],
      changeItemData = _useState2[1];

  (0, _react.useEffect)(function () {
    changeItemData(value);
  }, [value]);
  /**
   * 添加
   */

  var addItemData = function addItemData() {
    if (itemData.length >= maxNum) {
      _message2["default"].info('已超过最大添加数！');

      return false;
    } else {
      var _itemData$push;

      itemData.push((_itemData$push = {}, _defineProperty(_itemData$push, renamekey, ''), _defineProperty(_itemData$push, renamevalue, ''), _itemData$push));
      onChange(itemData);
    }
  };

  var deleteItem = function deleteItem(index) {
    itemData.splice(index, 1);
    onChange(itemData ? itemData : []);
  };

  var changeDate = function changeDate(e, index, key) {
    itemData[index][key] = e.target.value;
    onChange(itemData);
  };
  /**
   * 
   */


  var getItemData = function getItemData() {
    return itemData.map(function (val, index) {
      return /*#__PURE__*/_react["default"].createElement(InputGroup, {
        key: index
      }, /*#__PURE__*/_react["default"].createElement(_row["default"], {
        gutter: 8
      }, /*#__PURE__*/_react["default"].createElement(_col["default"], {
        span: 8
      }, /*#__PURE__*/_react["default"].createElement(_input["default"], {
        className: _.isEmpty(val[renamekey]) ? 'erroco' : 'greyoco',
        onChange: function onChange(e) {
          return changeDate(e, index, renamekey);
        },
        placeholder: "\u59D3\u540D",
        value: val[renamekey]
      })), /*#__PURE__*/_react["default"].createElement(_col["default"], {
        span: 16,
        style: {
          display: 'flex'
        }
      }, /*#__PURE__*/_react["default"].createElement(_input["default"], {
        className: _.isEmpty(val[renamevalue]) ? 'erroco' : 'greyoco',
        onChange: function onChange(e) {
          return changeDate(e, index, renamevalue);
        },
        placeholder: "\u8EAB\u4EFD\u8BC1\u53F7",
        value: val[renamevalue]
      }), /*#__PURE__*/_react["default"].createElement(_icons.CloseOutlined, {
        onClick: function onClick() {
          return deleteItem(index);
        },
        style: {
          fontSize: 20,
          marginLeft: 10,
          paddingTop: 6
        }
      }))));
    });
  };

  return /*#__PURE__*/_react["default"].createElement("div", null, /*#__PURE__*/_react["default"].createElement("div", null, getItemData()), /*#__PURE__*/_react["default"].createElement("div", null, /*#__PURE__*/_react["default"].createElement(_button["default"], {
    type: "primary",
    icon: /*#__PURE__*/_react["default"].createElement(_icons.PlusOutlined, null),
    onClick: addItemData
  }, "\u8054\u7CFB\u4EBA\u8EAB\u4EFD\u8BC1\u4FE1\u606F")));
};

var _default = LwjAddIdCardInfo;
exports["default"] = _default;