"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _input = _interopRequireDefault(require("antd/lib/input"));

var _select = _interopRequireDefault(require("antd/lib/select"));

var _react = _interopRequireWildcard(require("react"));

var _compatible = require("@ant-design/compatible");

require("@ant-design/compatible/assets/index.css");

var _propTypes = _interopRequireDefault(require("prop-types"));

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }

function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

function _iterableToArrayLimit(arr, i) { var _i = arr == null ? null : typeof Symbol !== "undefined" && arr[Symbol.iterator] || arr["@@iterator"]; if (_i == null) return; var _arr = []; var _n = true; var _d = false; var _s, _e; try { for (_i = _i.call(arr); !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"] != null) _i["return"](); } finally { if (_d) throw _e; } } return _arr; }

function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }

var Option = _select["default"].Option;
var FormItem = _compatible.Form.Item;

var LwjAreaName = function LwjAreaName(_ref) {
  var value = _ref.value,
      _ref$form = _ref.form,
      getFieldDecorator = _ref$form.getFieldDecorator,
      validateFieldsAndScroll = _ref$form.validateFieldsAndScroll,
      setFieldsValue = _ref$form.setFieldsValue,
      getFieldsValue = _ref$form.getFieldsValue;

  var selectAfterPrvince = /*#__PURE__*/_react["default"].createElement(_select["default"], {
    defaultValue: "Prvince",
    style: {
      width: 50
    }
  }, /*#__PURE__*/_react["default"].createElement(Option, {
    value: "Prvince"
  }, "\u7701"));

  var selectAfterCity = /*#__PURE__*/_react["default"].createElement(_select["default"], {
    defaultValue: "City",
    style: {
      width: 50
    }
  }, /*#__PURE__*/_react["default"].createElement(Option, {
    value: "City"
  }, "\u5E02"));

  var selectAfterArea = /*#__PURE__*/_react["default"].createElement(_select["default"], {
    defaultValue: "Area",
    style: {
      width: 50
    }
  }, /*#__PURE__*/_react["default"].createElement(Option, {
    value: "Area"
  }, "\u533A"));

  var preChange = function preChange() {
    validateFieldsAndScroll(function (err, values) {
      if (!err) {
        onChange(values);
      }
    });
  };

  var _useState = (0, _react.useState)({
    provinceName: '',
    cityName: '',
    districtName: ''
  }),
      _useState2 = _slicedToArray(_useState, 2),
      defaultValue = _useState2[0],
      CHANGDEFAULTVALUE = _useState2[1]; // useEffect(() => {
  //   CHANGDEFAULTVALUE(value);
  // }, value);
  // console.log(value, '%%%%%%%%%%%%%%%%%%%%');


  return /*#__PURE__*/_react["default"].createElement(_compatible.Form, null, /*#__PURE__*/_react["default"].createElement("div", {
    style: {
      display: 'flex'
    }
  }, /*#__PURE__*/_react["default"].createElement(FormItem, {
    style: {
      marginBottom: 0
    }
  }, getFieldDecorator('provinceName', {
    rules: [{
      required: true,
      message: '请输入省',
      whitespace: true
    }],
    initialValue: defaultValue && defaultValue.provinceName ? defaultValue.provinceName : ''
  })( /*#__PURE__*/_react["default"].createElement(_input["default"], {
    onChange: preChange,
    addonAfter: selectAfterPrvince
  }))), /*#__PURE__*/_react["default"].createElement(FormItem, {
    style: {
      marginBottom: 0
    }
  }, getFieldDecorator('cityName', {
    rules: [{
      required: true,
      message: '请输入市',
      whitespace: true
    }],
    initialValue: defaultValue && defaultValue.cityName ? defaultValue.cityName : ''
  })( /*#__PURE__*/_react["default"].createElement(_input["default"], {
    onChange: preChange,
    addonAfter: selectAfterCity
  }))), /*#__PURE__*/_react["default"].createElement(FormItem, {
    style: {
      marginBottom: 0
    }
  }, getFieldDecorator('districtName', {
    rules: [{
      required: true,
      message: '请输入区',
      whitespace: true
    }],
    initialValue: defaultValue && defaultValue.districtName ? defaultValue.districtName : ''
  })( /*#__PURE__*/_react["default"].createElement(_input["default"], {
    onChange: preChange,
    addonAfter: selectAfterArea
  })))));
};

LwjAreaName.propTypes = {
  onChange: _propTypes["default"].func
};

var _default = _compatible.Form.create()(LwjAreaName);

exports["default"] = _default;