"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getAddressData = void 0;

var _input = _interopRequireDefault(require("antd/lib/input"));

var _select = _interopRequireDefault(require("antd/lib/select"));

var _compatible = require("@ant-design/compatible");

require("@ant-design/compatible/assets/index.css");

var _react = _interopRequireWildcard(require("react"));

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var Option = _select["default"].Option;
var FormItem = _compatible.Form.Item;

var selectAfterPrvince = /*#__PURE__*/_react["default"].createElement(_select["default"], {
  defaultValue: "Prvince",
  style: {
    width: 30
  },
  size: "small",
  disabled: true,
  showArrow: false
}, /*#__PURE__*/_react["default"].createElement(Option, {
  value: "Prvince",
  style: {
    margin: 0
  }
}, "\u7701"));

var selectAfterCity = /*#__PURE__*/_react["default"].createElement(_select["default"], {
  defaultValue: "City",
  style: {
    width: 30
  },
  size: "small",
  disabled: true,
  showArrow: false
}, /*#__PURE__*/_react["default"].createElement(Option, {
  value: "City",
  style: {
    margin: 0
  }
}, "\u5E02"));

var selectAfterArea = /*#__PURE__*/_react["default"].createElement(_select["default"], {
  defaultValue: "Area",
  style: {
    width: 30
  },
  size: "small",
  disabled: true,
  showArrow: false
}, /*#__PURE__*/_react["default"].createElement(Option, {
  value: "Area",
  style: {
    margin: 0
  }
}, "\u533A"));

var getAddressData = function getAddressData(getFieldDecorator, provinceName, cityName, districtName, showprovinceName, showcityName, showdistrictName, handleChange) {
  var isrequired = arguments.length > 8 && arguments[8] !== undefined ? arguments[8] : true;
  return /*#__PURE__*/_react["default"].createElement("div", {
    style: {
      display: 'flex'
    }
  }, /*#__PURE__*/_react["default"].createElement(FormItem, {
    style: {
      marginBottom: 0
    }
  }, getFieldDecorator(showprovinceName, {
    rules: [{
      required: isrequired,
      message: '请输入省',
      whitespace: true
    }],
    initialValue: provinceName
  })( /*#__PURE__*/_react["default"].createElement(_input["default"], {
    onChange: handleChange,
    placeholder: "\u8BF7\u8F93\u5165\u7701"
  }))), /*#__PURE__*/_react["default"].createElement(FormItem, {
    style: {
      marginBottom: 0
    }
  }, getFieldDecorator(showcityName, {
    rules: [{
      required: isrequired,
      message: '请输入市',
      whitespace: true
    }],
    initialValue: cityName
  })( /*#__PURE__*/_react["default"].createElement(_input["default"], {
    onChange: handleChange,
    placeholder: "\u8BF7\u8F93\u5165\u5E02"
  }))), /*#__PURE__*/_react["default"].createElement(FormItem, {
    style: {
      marginBottom: 0
    }
  }, getFieldDecorator(showdistrictName, {
    rules: [{
      required: isrequired,
      message: '请输入区',
      whitespace: true
    }],
    initialValue: districtName
  })( /*#__PURE__*/_react["default"].createElement(_input["default"], {
    onChange: handleChange,
    placeholder: "\u8BF7\u8F93\u5165\u533A"
  }))));
};

exports.getAddressData = getAddressData;