"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _modal = _interopRequireDefault(require("antd/lib/modal"));

var _carousel = _interopRequireDefault(require("antd/lib/carousel"));

var _card = _interopRequireDefault(require("antd/lib/card"));

var _icons = require("@ant-design/icons");

var _react = _interopRequireWildcard(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

require("./LwjSowPicList.less");

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = _getPrototypeOf(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } else if (call !== void 0) { throw new TypeError("Derived constructors may only return object or undefined"); } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function () {})); return true; } catch (e) { return false; } }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

var LwjPic4Absolute = /*#__PURE__*/function (_Component) {
  _inherits(LwjPic4Absolute, _Component);

  var _super = _createSuper(LwjPic4Absolute);

  function LwjPic4Absolute() {
    var _temp, _this;

    _classCallCheck(this, LwjPic4Absolute);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return _possibleConstructorReturn(_this, (_temp = _this = _super.call.apply(_super, [this].concat(args)), _this.state = {
      fileList: [],
      previewVisible: false,
      previewVisibleUrl: '',
      currentIndex: 0
    }, _this.handleCancel = function () {
      return _this.setState({
        previewVisible: false,
        currentIndex: 0
      });
    }, _temp));
  }

  _createClass(LwjPic4Absolute, [{
    key: "componentDidMount",
    value: function componentDidMount() {}
  }, {
    key: "componentWillUnmount",
    value: function componentWillUnmount() {
      this.setState({
        previewVisible: false,
        currentIndex: 0
      });
    }
  }, {
    key: "render",
    value: function render() {
      var _this2 = this;

      var _this$props = this.props,
          title = _this$props.title,
          fileSrc = _this$props.fileSrc;
      var previewVisible = this.state.previewVisible;
      var fileList = fileSrc instanceof Array ? fileSrc : [{
        url: fileSrc,
        name: title
      }];
      var gridStyle = {
        width: '100px',
        textAlign: 'center',
        position: 'relative'
      };

      var toDetail = function toDetail(e, i) {
        _this2.setState({
          previewVisible: true,
          currentIndex: i
        });
      };

      var slider = null;

      var getIMGlist = function getIMGlist(files) {
        if (files.length > 0) {
          var res = files.map(function (val, i) {
            return /*#__PURE__*/_react["default"].createElement(_card["default"].Grid, {
              className: "LwjSowPicList",
              style: gridStyle,
              key: val.uid
            }, /*#__PURE__*/_react["default"].createElement("img", {
              alt: val.name,
              src: val.url,
              style: {
                height: 40
              }
            }), /*#__PURE__*/_react["default"].createElement("div", {
              className: "LwjSowPicList_showPic_preview"
            }, /*#__PURE__*/_react["default"].createElement(_icons.EyeOutlined, {
              style: {
                fontSize: 30,
                color: '#fff',
                position: 'absolute',
                left: '50%',
                top: '50%',
                transform: 'translate(-50%, -50%)'
              },
              at: val,
              onClick: function onClick(e) {
                return toDetail(e, i);
              }
            })));
          });
          return res;
        }
      };

      return /*#__PURE__*/_react["default"].createElement("div", {
        style: {
          display: 'flex'
        }
      }, getIMGlist(fileList), /*#__PURE__*/_react["default"].createElement(_modal["default"], {
        title: "\u56FE\u7247\u9884\u89C8",
        visible: previewVisible,
        footer: null,
        onCancel: this.handleCancel,
        zIndex: 13658073843,
        width: "700px"
      }, /*#__PURE__*/_react["default"].createElement("div", {
        className: "LwjSowPicList_imagesBox"
      }, (fileList === null || fileList === void 0 ? void 0 : fileList.length) > 1 ? /*#__PURE__*/_react["default"].createElement(_icons.LeftCircleOutlined, {
        onClick: function onClick() {
          return slider.prev();
        },
        className: "prev"
      }) : null, /*#__PURE__*/_react["default"].createElement(_carousel["default"], {
        dots: false,
        ref: function ref(el) {
          slider = el;
          el === null || el === void 0 ? void 0 : el.goTo(_this2.state.currentIndex);
        }
      }, fileList === null || fileList === void 0 ? void 0 : fileList.map(function (item, i) {
        var _React$createElement;

        return /*#__PURE__*/_react["default"].createElement("div", {
          className: "imgBox"
        }, /*#__PURE__*/_react["default"].createElement("img", (_React$createElement = {
          alt: item.name,
          src: item.url
        }, _defineProperty(_React$createElement, "alt", ""), _defineProperty(_React$createElement, "key", i), _React$createElement)));
      })), (fileList === null || fileList === void 0 ? void 0 : fileList.length) > 1 ? /*#__PURE__*/_react["default"].createElement(_icons.RightCircleOutlined, {
        className: "next",
        onClick: function onClick() {
          return slider.next();
        }
      }) : null)));
    }
  }]);

  return LwjPic4Absolute;
}(_react.Component);

exports["default"] = LwjPic4Absolute;
LwjPic4Absolute.props = {
  title: _propTypes["default"].string.isRequired,
  fileSrc: _propTypes["default"].string.isRequired
};