module.exports = {
    "presets": [
        ["@babel/preset-react", { "targets": { "node": "current" } }],
        [
            "@babel/env",
            {
                "corejs": {
                    "version": 3,
                    "proposals": true // 使用尚在“提议”阶段特性的 polyfill
                }
            }
        ]
    ],
    "plugins": [
        "@babel/plugin-transform-react-jsx",
        "@babel/plugin-syntax-dynamic-import",
        "transform-class-properties",
        ["import", { "libraryName": "antd", "libraryDirectory": "lib" }, "ant"],
        [
            "@babel/plugin-proposal-decorators",
            {
                "legacy": true
            }
        ],
        [
            "@babel/plugin-proposal-class-properties",
            {
                "loose": true
            }
        ]
    ]
}
