"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _tooltip = _interopRequireDefault(require("antd/lib/tooltip"));

var _react = _interopRequireDefault(require("react"));

var _index = _interopRequireDefault(require("./index.less"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var MiniProgress = function MiniProgress(_ref) {
  var target = _ref.target,
      _ref$color = _ref.color,
      color = _ref$color === void 0 ? 'rgb(19, 194, 194)' : _ref$color,
      strokeWidth = _ref.strokeWidth,
      percent = _ref.percent;
  return /*#__PURE__*/_react["default"].createElement("div", {
    className: _index["default"].miniProgress
  }, /*#__PURE__*/_react["default"].createElement(_tooltip["default"], {
    title: "\u76EE\u6807\u503C: ".concat(target, "%")
  }, /*#__PURE__*/_react["default"].createElement("div", {
    className: _index["default"].target,
    style: {
      left: target ? "".concat(target, "%") : null
    }
  })), /*#__PURE__*/_react["default"].createElement("div", {
    className: _index["default"].progressWrap
  }, /*#__PURE__*/_react["default"].createElement("div", {
    className: _index["default"].progress,
    style: {
      backgroundColor: color || null,
      width: percent ? "".concat(percent, "%") : null,
      height: strokeWidth || null
    }
  })));
};

var _default = MiniProgress;
exports["default"] = _default;