"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _input = _interopRequireDefault(require("antd/lib/input"));

var _select = _interopRequireDefault(require("antd/lib/select"));

var _react = _interopRequireWildcard(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) { symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); } keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }

function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

function _iterableToArrayLimit(arr, i) { var _i = arr == null ? null : typeof Symbol !== "undefined" && arr[Symbol.iterator] || arr["@@iterator"]; if (_i == null) return; var _arr = []; var _n = true; var _d = false; var _s, _e; try { for (_i = _i.call(arr); !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"] != null) _i["return"](); } finally { if (_d) throw _e; } } return _arr; }

function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }

var Option = _select["default"].Option;

var LwjAreaName = function LwjAreaName(_ref) {
  var value = _ref.value,
      onChange = _ref.onChange;

  var selectAfterPrvince = /*#__PURE__*/_react["default"].createElement(_select["default"], {
    defaultValue: "Prvince",
    style: {
      width: 50
    }
  }, /*#__PURE__*/_react["default"].createElement(Option, {
    value: "Prvince"
  }, "\u7701"));

  var selectAfterCity = /*#__PURE__*/_react["default"].createElement(_select["default"], {
    defaultValue: "City",
    style: {
      width: 50
    }
  }, /*#__PURE__*/_react["default"].createElement(Option, {
    value: "City"
  }, "\u5E02"));

  var selectAfterArea = /*#__PURE__*/_react["default"].createElement(_select["default"], {
    defaultValue: "Area",
    style: {
      width: 50
    }
  }, /*#__PURE__*/_react["default"].createElement(Option, {
    value: "Area"
  }, "\u533A"));

  var _useState = (0, _react.useState)({
    provinceName: '',
    cityName: '',
    districtName: ''
  }),
      _useState2 = _slicedToArray(_useState, 2),
      defaultValue = _useState2[0],
      CHANGDEFAULTVALUE = _useState2[1];

  (0, _react.useEffect)(function () {
    if (value) {
      CHANGDEFAULTVALUE(_objectSpread({}, value));
    }
  }, value);

  var preChange = function preChange(e, name) {
    defaultValue[name] = e.target.value;
    onChange(_objectSpread({}, defaultValue));
  };

  return /*#__PURE__*/_react["default"].createElement("div", {
    style: {
      display: 'flex'
    }
  }, /*#__PURE__*/_react["default"].createElement(_input["default"], {
    onChange: function onChange(e) {
      return preChange(e, 'provinceName');
    },
    addonAfter: selectAfterPrvince,
    defaultValue: defaultValue.provinceName
  }), /*#__PURE__*/_react["default"].createElement(_input["default"], {
    onChange: function onChange(e) {
      return preChange(e, 'cityName');
    },
    addonAfter: selectAfterCity,
    defaultValue: defaultValue.cityName
  }), /*#__PURE__*/_react["default"].createElement(_input["default"], {
    onChange: function onChange(e) {
      return preChange(e, 'districtName');
    },
    addonAfter: selectAfterArea,
    defaultValue: defaultValue.districtName
  }));
};

LwjAreaName.propTypes = {
  onChange: _propTypes["default"].func
};
var _default = LwjAreaName;
exports["default"] = _default;